﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ShapeFilesOverGoogleMap.aspx.cs"
    Inherits="CSSamples.Samples.ShapeFilesOverGoogleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>shape files over google map</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Height="100%" Width="100%" OnClick="Map1_Click">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        In this sample, a layer overlay that contains a shapefile layer overlaps upon a
        Google overlay.
        <br />
        <br />
        <asp:GridView ID="FeaturesGridView" runat="server" Width="80%" Font-Size="10px" Font-Names="Verdana"
            HorizontalAlign="Center" AutoGenerateColumns="False" BackColor="White" BorderColor="#CCCCCC"
            BorderStyle="None" BorderWidth="1px" CellPadding="3" AutoGenerateEditButton="True"
            OnRowEditing="FeaturesGridView_RowEditing" OnRowCancelingEdit="FeaturesGridView_RowCancelingEdit"
            OnRowUpdating="FeaturesGridView_RowUpdating">
            <FooterStyle BackColor="White" ForeColor="#000066" />
            <RowStyle ForeColor="#000066" />
            <Columns>
                <asp:BoundField DataField="CountryName" HeaderText="Country Name">
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
                <asp:BoundField DataField="Population" HeaderText="Population">
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
            </Columns>
            <PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" />
            <SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" />
        </asp:GridView>
    </Description:DescriptionPanel>
    </form>
</body>
</html>
